Le forum français des radios FrSKY

Simulateur 2.1.9 et 2.2.0 en FR

Page 7 sur 8 Précédent  1, 2, 3, 4, 5, 6, 7, 8  Suivant

Voir le sujet précédent Voir le sujet suivant Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Mar 1 Déc - 20:10

As-tu bien effacé les fichiers opentx-taranisxxx-simulator.dll ?

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

ok c'est corrigé

Message par grat450 le Mer 2 Déc - 7:26

dev.fred a écrit:As-tu bien effacé les fichiers opentx-taranisxxx-simulator.dll  ?

merci pour la réponse.  Wink
effectivement j'avais oublié d'effacer les fichiers avant, maintenant c'est bien en français. confused
avatar
grat450

Messages : 165
Date d'inscription : 17/09/2014
Age : 75
Localisation : Loiret

http://hobbyderoger.blogspot.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Mar 5 Jan - 2:52

Mise à jour de la version française du simulateur 2.1.7 en 1ere page.

[Vous devez être inscrit et connecté pour voir ce lien]

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par papy69 le Jeu 7 Jan - 16:36

Bonjour à tous,
j'ai installé la version 2.1.7 d'opentx et le simu a toujours ses bugs avec la taranis E. De plus "Avast" détecte une menace lors de la mise en route de companion (ça ne veut pas dire pour autant qu'il y en a une, "avast" a tendance a prendre ce qu'il ne connaît pas pour "ennemi". ça me rappelle quelque chose).
Amicalement
Yves

papy69

Messages : 11
Date d'inscription : 17/12/2015
Localisation : lyon

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par LapinFou le Jeu 7 Jan - 16:40

dev.fred a écrit:Mise à jour de la version française du simulateur 2.1.7 en 1ere page.

[Vous devez être inscrit et connecté pour voir ce lien]
Merci Fred !!
Pour info, OTX 2.0.18 est aussi sorti... bounce
avatar
LapinFou
Modérateur

Messages : 7157
Date d'inscription : 09/09/2014
Age : 42
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dumas le Jeu 7 Jan - 18:29

Bonsoir
Opentx m'a demandé à l'ouverture de faire la mise à jour vers la version 2.0.18 pour remplacer le version 2.0.17 que j'ai sur mon émetteur.
J'ai voulu le faire ...résultat grosse pagaille! donc je n'ai pas su faire ! Il ne reconnait pas l'émetteur en le connectant comme d'habitude (2 trims+inter on )
Que faire ?
Merci pour l'aide à cette manip !
A+ pierre

dumas

Messages : 370
Date d'inscription : 28/11/2013
Localisation : 87 Saint Jouvent près de LIMOGES

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Jeu 7 Jan - 18:47

LapinFou a écrit:
Pour info, OTX 2.0.18 est aussi sorti...

OK, mais c'est bien parce que c'est toi qui me le demande Wink

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par LapinFou le Ven 8 Jan - 9:37

L'archive simu2.0.18FR.zip ne fait pas passer le Simulateur 2.0.18 en Français...
Je fais la même manip qu'avec le simu2.0.17FR.zip, mais le simulateur reste désespérément en Anglais.
C'est chez moi ou ton archive 2.0.18 n'est pas correcte/incomplète ?

Par contre la version 2.1.7 fonctionne correctement.
albino
avatar
LapinFou
Modérateur

Messages : 7157
Date d'inscription : 09/09/2014
Age : 42
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Ven 8 Jan - 12:06

[Vous devez être inscrit et connecté pour voir ce lien]

J'ai revérifié l'archive de ma dropbox = le produit de la compilation.
L’exécution de simulator.exe me donne bien un écran traduit en français confused

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par alain17870 le Ven 8 Jan - 13:22

Je n'ai laissé dans le repertoire opentx que les dll en français et là ça fonctionne bien en français, mais ce n'est peut être pas la solution...

alain17870

Messages : 140
Date d'inscription : 22/05/2014
Age : 66
Localisation : Charente Maritime

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par alain17870 le Ven 8 Jan - 13:47

Autant pour moi, j'ai mal lu Embarassed

alain17870

Messages : 140
Date d'inscription : 22/05/2014
Age : 66
Localisation : Charente Maritime

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Ven 8 Jan - 17:46

LapinFou a écrit:Pareil que toi, sauf que si je lance le simulateur depuis Companion, c'est en Anglais ??!!?

Normal, car je ne fournis pas companion qui reste donc avec un simu en anglais; en 2.0.x il n'y a pas de DLL partagée contenant les simus.

Je ne suis pas partisan de fournir companion car si pb, cela peut faire des dégâts dont je ne veux pas en être responsable.

Si tu y tiens, tu peux trouver la version française de Companion 2.0.18 [Vous devez être inscrit et connecté pour voir ce lien]

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par BRUN Philippe le Mar 12 Jan - 12:49

Bonjour,
Je n'ai pas tout compri entre OpenTx 2.0.18 et 2.1.7
OpenTx 2.1.6 sous windows7 et les trois fichiersDLL opentx-taranisxxx-fr-simulator.dll en opentx-taranisxxx-simulator.dll me donnaient bien un simulateur en Français mais avec la version 2.1.7 ça plante systématiquemet que j'ouvre en direct du répertoire ou à partir d'OpenTx. j'ai le message:
"simulator.exe a cessé de fonctionner"
"Recherche une solution en ligne et fermer le programme"
Fermer le programme"
est-c que j'ai loupé un truc ou la version 2.1.7 ne fonctionne pas avec ces DLL. Sad
avatar
BRUN Philippe

Messages : 98
Date d'inscription : 30/05/2015
Age : 64
Localisation : MONTAMISE près de POITIERS

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par BRUN Philippe le Mar 12 Jan - 12:55

Au temps pour moi je me suis planté entre les anciens et nouveaux fichiers
Désolé.
avatar
BRUN Philippe

Messages : 98
Date d'inscription : 30/05/2015
Age : 64
Localisation : MONTAMISE près de POITIERS

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Jeu 14 Avr - 17:48

Mise à jour de la version française du simulateur 2.1.8 en 1ere page.

[Vous devez être inscrit et connecté pour voir ce lien]

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par LapinFou le Sam 16 Avr - 12:50

dev.fred a écrit:Note: A partir de la version 2.1.X, si vous remplacez les 3 fichiers opentx-taranisxxx-simulator.dll par les fichiers opentx-taranisxxx-fr-simulator.dll (fournit dans le fichier simuxxxFR.zip) dans le répertoire de votre installation d'OpenTX : C:\Program Files (x86)\OpenTX\Companion 2.1.x; le simulateur de Companion et de Firmware Simulateur passe en français sur les Taranis.
Cette procédure ne fonctionne pas chez moi...

En plus, l'archive simu2.1.8FR.zip est en fait la version 2.1.7... silent
avatar
LapinFou
Modérateur

Messages : 7157
Date d'inscription : 09/09/2014
Age : 42
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Sam 16 Avr - 16:11

J'ai refait mon zip et revérifié mon lien dropbox, c'est maintenant en 2.1.8 Embarassed

Si je remplace les fichiers dans le répertoire de companion 2.1.8, j'ai bien le radio en français depuis companion :


dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par LapinFou le Sam 16 Avr - 17:09

OK. Je vais re-tester cela demain.

Par contre s'il suffit de remplacer les DLLs, pourquoi ne faits-tu pas une archive avec juste les DLL sans le suffixe -fr ?? Ce serait plus simple: tu ouvre l'archive et tu écrases les DLLs. Pas de fichier à déplacer/renommer.
Ce n'est évidemment pas pour critiquer, c'est juste pour comprendre.


Sinon, c'est marrant ton archive est nommée 2.0.8 ...

albino
avatar
LapinFou
Modérateur

Messages : 7157
Date d'inscription : 09/09/2014
Age : 42
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Sam 16 Avr - 19:18

LF a écrit:Par contre s'il suffit de remplacer les DLLs, pourquoi ne faits-tu pas une archive avec juste les DLL sans le suffixe -fr ?? Ce serait plus simple: tu ouvre l'archive et tu écrases les DLLs. Pas de fichier à déplacer/renommer.
Ce n'est évidemment pas pour critiquer, c'est juste pour comprendre.
Plusieurs raisons:
1) Je suis un gros feignant et je n’aie pas envie de renommer les 12 DLL's à chaque compile.
2) Je n'aime pas masquer le nom des fichiers, bien que cela ne m'empêche pas de faire des boulettes, c'est + claire pour moi.
3) On peut vouloir garder l'anglais et le français et n'utiliser que le simulateur qui permet de choisir précisément la DLL qui convient.
4) Ça ne demande quand même pas un gros effort de désarchiver dans le répertoire de companion et d'effacer la DLL sans "-fr-" correspondant à sa radio.

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par LapinFou le Dim 17 Avr - 10:10

dev.fred a écrit:Plusieurs raisons:
1) Je suis un gros feignant et je n’aie pas envie de renommer les 12 DLL's à chaque compile.
Je n'ai jamais dit cela !! Shocked
dev.fred a écrit:2) Je n'aime pas masquer le nom des fichiers, bien que cela ne m'empêche pas de faire des boulettes, c'est + claire pour moi.
OK
dev.fred a écrit:3) On peut vouloir garder l'anglais et le français et n'utiliser que le simulateur qui permet de choisir précisément la DLL qui convient.
Tu m'intéresses. Comment fait-on cela ?
dev.fred a écrit:4) Ça ne demande quand même pas un gros effort de désarchiver dans le répertoire de companion et d'effacer la DLL sans "-fr-" correspondant à sa radio.
Absolument.

Euuuhh... C'était juste une question, pas une critique. Désolé si je t'ai mis en rogne (c'est l’impression que cela donne). Perso, je suis très déçu que ton travail n'ait pas été intégré dans la distribution officielle de Companion. Cela aurait été tellement pratique.
avatar
LapinFou
Modérateur

Messages : 7157
Date d'inscription : 09/09/2014
Age : 42
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Dim 17 Avr - 12:13

LF a écrit:
dev.fred a écrit:     3) On peut vouloir garder l'anglais et le français et n'utiliser que le simulateur qui permet de choisir précisément la DLL qui convient.
Tu m'intéresses. Comment fait-on cela ?

LF a écrit:Perso, je suis très déçu que ton travail n'ait pas été intégré dans la distribution officielle de Companion. Cela aurait été tellement pratique.
La méthode statique qui consiste à produire (chaque nuit) les 12 radios X 7 langues = 84  DLL's est très consommatrice en ressources de serveur, je comprends que Bertrand préfère une méthode dynamique de compilation qui construit à la demande les DLL's non anglaise comme cela est fait pour le firmware qui comprend énormément d'options.
Malheureusement cette méthode dépasse mes compétences actuelles et je manque d'énergie pour m'y coller aussi je continue les soins palliatifs qui ne concernent plus que la 2.1.x.

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Page 7 sur 8 Précédent  1, 2, 3, 4, 5, 6, 7, 8  Suivant

Voir le sujet précédent Voir le sujet suivant Revenir en haut


 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum